Bug 537720 - Multiple bugs while browsing OBEX
Summary: Multiple bugs while browsing OBEX
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 17
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 735319 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-16 00:35 UTC by Alex Smirnoff
Modified: 2014-09-13 18:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 18:31:46 UTC
Type: ---


Attachments (Terms of Use)

Description Alex Smirnoff 2009-11-16 00:35:24 UTC
Description of problem:

Cannot create files on remote device
I/O error when reading empty file


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alex Smirnoff 2009-11-16 00:46:36 UTC
Oops, here is the correct description:

Description of problem:

Cannot create files on remote device
I/O error when reading empty file


Version-Release number of selected component (if applicable):

gnome-bluetooth-2.27.8-3.fc11.i586
gnome-vfs2-2.24.1-2.fc11.i586
gvfs-1.2.3-13.fc11.i586
gvfs-obexftp-1.2.3-13.fc11.i586

How reproducible:

Always


Steps to Reproduce:
1. Connect to an obex-capable device (i have Nokia s60v3 phone, cannot test with other devices as i have none nearby)
2. Browse, try to copy some files from or to remote


Actual results:

[ark@samael Data]$ pwd
/home/ark/.gvfs/arkanoid/E:/Data
[ark@samael Data]$ cp EMPTYFILE.TXT ~
cp: cannot open `EMPTYFILE.TXT' for reading: Input/output error
[ark@samael Data]$ touch NEW.TXT
bash: NEW.TXT: Operation not supported

Expected results:

no error should happen

Additional info:  

When trying to copy files via nautilus file manager and an empty file is on the way, it just hangs forever, operation cannot be cancelled and no error is reported.

Comment 2 Alex Smirnoff 2009-11-16 02:16:51 UTC
..and nautilus starts consuming 100% cpu after that error

Comment 3 Bug Zapper 2010-04-28 11:20:29 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 15:28:08 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Alex Smirnoff 2010-06-28 15:37:46 UTC
Yes, the bug still exists in fc13. Please reopen.

Comment 6 Bug Zapper 2011-06-02 17:27:40 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Alex Smirnoff 2011-06-02 20:38:31 UTC
The problem persists in fc14.

Comment 8 Alex Smirnoff 2012-07-30 14:12:05 UTC
The problem persists in fc17.

Comment 9 Alex Smirnoff 2012-09-28 10:36:20 UTC
Still no news? Guys, it is old and ugly.

Comment 10 Bastien Nocera 2012-09-28 12:52:49 UTC
Not going to get fixed:
http://www.hadess.net/2011/11/obexftp-in-gnome-non-update.html

Comment 11 Martin 2012-11-22 18:20:05 UTC

*** This bug has been marked as a duplicate of bug 753617 ***

Comment 12 Martin 2013-01-16 17:07:54 UTC
*** Bug 735319 has been marked as a duplicate of this bug. ***

Comment 13 Martin 2013-01-16 17:11:22 UTC
Fedora 18 has been released, please try to reproduce this Obex FTP bug on it.

Comment 14 Fedora Admin XMLRPC Client 2013-05-23 14:24:14 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora Admin XMLRPC Client 2013-05-23 14:27:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora End Of Life 2013-07-04 06:52:28 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2013-08-01 18:31:50 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.